Loading...
Searching...
No Matches
TrcMemAccMapGlobalSpace Class Reference

`#include <trc_mem_acc_mapper.h>`

Inheritance diagram for TrcMemAccMapGlobalSpace:
[legend]
Collaboration diagram for TrcMemAccMapGlobalSpace:
[legend]

## Public Member Functions

| TrcMemAccMapGlobalSpace ()
virtual | ~TrcMemAccMapGlobalSpace ()
virtual ocsd_err_t | AddAccessor (TrcMemAccessorBase *p_accessor, const uint8_t cs_trace_id)
virtual void | logMappedRanges ()
Public Member Functions inherited from TrcMemAccMapper
| TrcMemAccMapper ()
| TrcMemAccMapper (bool using_trace_id)
virtual | ~TrcMemAccMapper ()
virtual ocsd_err_t | ReadTargetMemory (const ocsd_vaddr_t address, const uint8_t cs_trace_id, const ocsd_mem_space_acc_t mem_space, uint32_t *num_bytes, uint8_t *p_buffer)
virtual void | InvalidateMemAccCache (const uint8_t cs_trace_id)
void | RemoveAllAccessors ()
ocsd_err_t | RemoveAccessorByAddress (const ocsd_vaddr_t st_address, const ocsd_mem_space_acc_t mem_space, const uint8_t cs_trace_id=0)
void | setErrorLog (ITraceErrorLog *err_log_i)
ocsd_err_t | enableCaching (bool bEnable)
ocsd_err_t | setCacheSizes (uint16_t page_size, int num_pages, const bool err_on_limit=false)
Public Member Functions inherited from ITargetMemAccess
| ITargetMemAccess ()
virtual | ~ITargetMemAccess ()

## Protected Member Functions

virtual bool | findAccessor (const ocsd_vaddr_t address, const ocsd_mem_space_acc_t mem_space, const uint8_t cs_trace_id)
virtual bool | readFromCurrent (const ocsd_vaddr_t address, const ocsd_mem_space_acc_t mem_space, const uint8_t cs_trace_id)
virtual TrcMemAccessorBase * | getFirstAccessor ()
virtual TrcMemAccessorBase * | getNextAccessor ()
virtual void | clearAccessorList ()
virtual ocsd_err_t | RemoveAccessor (const TrcMemAccessorBase *p_accessor)
Protected Member Functions inherited from TrcMemAccMapper
void | LogMessage (const std::string &msg)
void | LogWarn (const ocsd_err_t err, const std::string &msg)

## Protected Attributes

std::vector< TrcMemAccessorBase * > | m_acc_global
std::vector< TrcMemAccessorBase * >::iterator | m_acc_it
Protected Attributes inherited from TrcMemAccMapper
TrcMemAccessorBase * | m_acc_curr
uint8_t | m_trace_id_curr
const bool | m_using_trace_id
ITraceErrorLog * | m_err_log
TrcMemAccCache | m_cache

## Detailed Description

Definition at line 114 of file trc_mem_acc_mapper.h.

## Constructor & Destructor Documentation

## TrcMemAccMapGlobalSpace()

TrcMemAccMapGlobalSpace::TrcMemAccMapGlobalSpace | ( |  | ) |

## ~TrcMemAccMapGlobalSpace()

virtual TrcMemAccMapGlobalSpace::~TrcMemAccMapGlobalSpace | ( |  | ) |

virtual

## Member Function Documentation

## AddAccessor()

virtual ocsd_err_t TrcMemAccMapGlobalSpace::AddAccessor | ( | TrcMemAccessorBase * | p_accessor,
|  | const uint8_t | cs_trace_id
| ) |  |

virtual

Implements TrcMemAccMapper.

## clearAccessorList()

virtual void TrcMemAccMapGlobalSpace::clearAccessorList | ( |  | ) |

protected virtual

Implements TrcMemAccMapper.

## findAccessor()

virtual bool TrcMemAccMapGlobalSpace::findAccessor | ( | const ocsd_vaddr_t | address,
|  | const ocsd_mem_space_acc_t | mem_space,
|  | const uint8_t | cs_trace_id
| ) |  |

protected virtual

Implements TrcMemAccMapper.

## getFirstAccessor()

virtual TrcMemAccessorBase * TrcMemAccMapGlobalSpace::getFirstAccessor | ( |  | ) |

protected virtual

Implements TrcMemAccMapper.

## getNextAccessor()

virtual TrcMemAccessorBase * TrcMemAccMapGlobalSpace::getNextAccessor | ( |  | ) |

protected virtual

Implements TrcMemAccMapper.

## logMappedRanges()

virtual void TrcMemAccMapGlobalSpace::logMappedRanges | ( |  | ) |

virtual

Implements TrcMemAccMapper.

## readFromCurrent()

virtual bool TrcMemAccMapGlobalSpace::readFromCurrent | ( | const ocsd_vaddr_t | address,
|  | const ocsd_mem_space_acc_t | mem_space,
|  | const uint8_t | cs_trace_id
| ) |  |

protected virtual

Implements TrcMemAccMapper.

## RemoveAccessor()

virtual ocsd_err_t TrcMemAccMapGlobalSpace::RemoveAccessor | ( | const TrcMemAccessorBase * | p_accessor | ) |

protected virtual

Implements TrcMemAccMapper.

## Member Data Documentation

## m_acc_global

std::vector<TrcMemAccessorBase *> TrcMemAccMapGlobalSpace::m_acc_global

protected

Definition at line 134 of file trc_mem_acc_mapper.h.

## m_acc_it

std::vector<TrcMemAccessorBase*>::iterator TrcMemAccMapGlobalSpace::m_acc_it

protected

Definition at line 135 of file trc_mem_acc_mapper.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/mem_acc/trc_mem_acc_mapper.h